include:
  remote: 'https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v2.1.1/jobtech-ci.yml'



variables:
  DEPLOYS_DISABLED: 1
  TEST_DISABLED: 1     # disable buildpack test job


# Purpose of test:
#   - check that the report generator can make a report
test_ids:
  stage: test
  image:
    name: $BRANCH_IMAGE
    entrypoint: [""]    # delete the entrypoint in the dockerfile so we can run script
  script:
    - bash /opt/make-report < tests/testdata/input.10 | sed 2d > output
    - sed 2d < tests/testdata/expected_output > expected_output
    - diff expected_output output
